Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 608702 - <app-text/mupdf-1.10a-r1: null pointer dereference
Summary: <app-text/mupdf-1.10a-r1: null pointer dereference
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: http://www.openwall.com/lists/oss-sec...
Whiteboard: B3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-09 09:10 UTC by Agostino Sarubbo
Modified: 2017-02-19 12:51 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2017-02-09 09:10:50 UTC
From ${URL} :

A null pointer dereference discovered by Kamil Frankowicz was fixed in mupdf.

Commit fix:
http://git.ghostscript.com/?p=mupdf.git;a=commitdiff;h=40ac85bfb676bb4373bda4b18f9fd90268c9f1e9

Details:
https://bugs.ghostscript.com/show_bug.cgi?id=697514



@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Michael Weber (RETIRED) gentoo-dev 2017-02-09 21:11:41 UTC
commit 54f3dbbee64dfa9de3193a16daa5ff254d4963b2
Author: Michael Weber <xmw@gentoo.org>
Date:   Thu Feb 9 22:10:20 2017 +0100

    app-text/mupdf: Revbump to fix null pointer dereference (bug 608702) and heap overflow (bug 608712).
    
    Package-Manager: Portage-2.3.3, Repoman-2.3.1
Comment 2 Michael Weber (RETIRED) gentoo-dev 2017-02-10 09:03:03 UTC
Stabilization happens in bug 608712.
Comment 3 Michael Weber (RETIRED) gentoo-dev 2017-02-13 17:07:08 UTC
commit f7f45315f7279b0a380dcb6728d5ffb033bd2c4e
Author: Michael Weber <xmw@gentoo.org>
Date:   Mon Feb 13 18:04:53 2017 +0100

    app-text/mupdf: Remove old version (bug 608712, bug 608702).
    
    Package-Manager: Portage-2.3.3, Repoman-2.3.1

app-text/mupdf/mupdf-1.10a.ebuild
Comment 4 Thomas Deutschmann gentoo-dev Security 2017-02-17 09:10:41 UTC
Added to an existing GLSA request.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2017-02-19 12:51:02 UTC
This issue was resolved and addressed in
 GLSA 201702-12 at https://security.gentoo.org/glsa/201702-12
by GLSA coordinator Thomas Deutschmann (whissi).